.cms-block-image-text {
	margin-bottom: 60px;
	.cms-element-image {
		.img-border {
			position: absolute;
			top: 0;
			left: 0;
			border: 7px solid $primary;
			display: block;
			z-index: 90;
			transform: translateX(1.2rem) translateY(-1rem);
			width: 96%;
			height: 106%;
		}
		.cms-image-container {
			min-height: 250px !important;
			@include media-breakpoint-up(md) {
				min-height: 350px !important;
			}
			@include media-breakpoint-up(lg) {
				min-height:600px !important;
			}
		}
	}
	.cms-element-text {
		.btn {
			background-color: $sw-color-buy-button;
			border-color: $sw-color-buy-button;
			color: $sw-color-buy-button-text;
			font-size: rem-calc(20);
			padding: .7rem 2.0rem;
			@include media-breakpoint-up(lg) {
				font-size: rem-calc(24);
				padding: .7rem 2.4rem;
			}
		}
		// Dynamik Font Size for the Headline
		h2 {
			//font-size: rem-calc(25);
			font-size: calc($font-size-base + 2vw);
			//line-height: rem-calc(28);
			line-height: 1.4;
			margin-bottom: 2rem;
			@include media-breakpoint-up(md) {
				//font-size: rem-calc(36);
				//line-height: rem-calc(38);
			}
			@include media-breakpoint-up(lg) {
				font-size: calc($font-size-base + 3vw);
			}
			@media (min-width: 1800px) {
				font-size: rem-calc(56);
				line-height: rem-calc(58);
			}
		}
		p {
			font-size: rem-calc(16);
			margin-bottom: 1.5rem;
			@include media-breakpoint-up(md) {
				font-size: rem-calc(18);
				margin-bottom: 2rem;
			}
			@include media-breakpoint-up(lg) {
				font-size: rem-calc(22);
				margin-bottom: 2rem;
			}
		}
	}
}

.cms-block-text {
	h2 {
		font-size: rem-calc(18);
		line-height: rem-calc(22);
		@include media-breakpoint-up(md) {
			font-size: rem-calc(30);
			line-height: rem-calc(32);
		}
		@include media-breakpoint-up(lg) {
			font-size: rem-calc(40);
			line-height: rem-calc(42);
		}
		//margin-bottom: 2rem;
	}
}

.cms-element-product-box {
	.product-box {
		border: none;
		background-color: transparent;
		.product-image-wrapper {
			position: relative;
			.available-badge {
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translateY(-50%) translateX(-50%);
				font-size: rem-calc(23);
			}
			.product-image {
				max-height: 499px;
				
			}
		}
	}
}

.cms-element-form {
	.newsletter {
		label {
			display: none;
		}
		input {
			border: none;
			font-size: rem-calc(25);
		}
		.btn {
			font-size: rem-calc(25);
			padding: .6rem 2.5rem;
			background-color: $sw-color-buy-button;
			border-color: $sw-color-buy-button;
			color: $sw-color-buy-button-text;
		}
	}
}

.bannersection {
	.cms-block-text-on-image {
		background-image: none !important;
		.cms-block-container {
			@include media-breakpoint-up(md) {
				padding: 0 !important;
			}
			img {
				width: 100%;
				height: auto;
			}
			.cms-block-container-row {
				.content {
					border: 5px solid $primary;
					@include media-breakpoint-up(md) {
						border: none;
						width: 80%;
						transform:translateY(-50%) translateX(3rem);
					}
					@include media-breakpoint-up(lg) {
						width: 60%;
					}
					position: relative;
					@include media-breakpoint-up(md) {
						&:before {
							content:"";
							position: absolute;
							top: 0;
							left: 0;
							border: 7px solid $primary;
							display: block;
							z-index: 90;
							transform: translateX(1.2rem) translateY(-1.2rem);
							width: 96%;
							height: 110%;
							@include media-breakpoint-up(lg) {

							}
						}
					}
					h2 {
						@include media-breakpoint-up(md) {
							font-size: rem-calc(40);
							line-height: rem-calc(44);
							margin-bottom: 2rem;
						}
						@include media-breakpoint-up(lg) {
							font-size: rem-calc(60);
							line-height: rem-calc(64);
							margin-bottom: 3rem;
						}
					}
					p {
						@include media-breakpoint-up(md) {
							font-size: rem-calc(20);
							margin-bottom: 2rem;
						}
						@include media-breakpoint-up(lg) {
							font-size: rem-calc(24);
							margin-bottom: 2rem;
						}
					}
				}
				.btn {
					font-size: rem-calc(20);
					padding: .6rem 2.0rem;
					background-color: $sw-color-buy-button;
					border-color: $sw-color-buy-button;
					color: $sw-color-buy-button-text;
					@include media-breakpoint-up(md) {
						font-size: rem-calc(25);
						padding: .6rem 2.5rem;
					}
				}
			}
		}
	}
}

.infosection {
	.cms-block-image-text-gallery {
		.cms-block-container-row {
			.col-lg-4 {
				@include media-breakpoint-up(xl) {
					padding: 0 3rem;
				}
				&:nth-child(1),
				&:nth-child(3) {
					ul {
						li {
							border-bottom: 2px dashed $gray-800;
						}
					}
				}
				&:nth-child(1) {
					ul {
						li {
							&:before {
								content:"";
								background-image: url('#{$asset-path}/icon/default/clock.svg');
								width: 24px;
								height: 24px;
								display: inline-block;
								margin-right: 1rem;
							}
							&:nth-child(1) {
								&:before {
									background-image: url('#{$asset-path}/icon/default/headset.svg');
								}
							}
							&:nth-child(2) {
								&:before {
									background-image: url('#{$asset-path}/icon/default/envelope.svg');
								}
							}
						}
					}
				}
				&:nth-child(2) {
					ol {
						li {
							&:before {
								content:"";
								background-image: url('#{$asset-path}/icon/default/checkmark.svg');
								color:$sw-color-success;
								width: 24px;
								height: 24px;
								display: inline-block;
								margin-right: 1rem;
							}
						}
					}
				}
				&:nth-child(3) {
					ul {
						li {
							position: relative;
							&:after {
								content:"";
								background-image: url('#{$asset-path}/icon/default/arrow-right.svg');
								color:$sw-color-success;
								width: 24px;
								height: 24px;
								display: inline-block;
								margin-left: 1rem;
								position: absolute;
								right: 0;
							}
						}
					}
				}
			}
		}
		.image-text-gallery-card {
			height: 100%;
			box-shadow: none;
			background-color: $gray-100;
			.cms-element-text {
				padding: 2rem;	
				.btn {
					display: block;
					font-size: rem-calc(24);
					padding: .8rem 2.5rem;
					background-color: $sw-color-buy-button;
					border-color: $sw-color-buy-button;
					color: $sw-color-buy-button-text;
					margin-top: 4rem;
				}
			}
			ul, ol {
				padding-left: 0;
				list-style: none;
				font-size: rem-calc(24);
				margin-top: 1rem;
				li {
					display: flex;
					align-items: center;
					padding: 1rem 0;
				}
			}
			h3 {
				font-size: rem-calc(30);
				text-transform: uppercase;
			}
		}
	}
}

.slidersection {
	.cms-element-product-slider {
		.cms-element-title {
			p {
				@include media-breakpoint-up(md) {
					font-size: rem-calc(30);
					line-height: rem-calc(34);
				}
				@include media-breakpoint-up(lg) {
					font-size: rem-calc(40);
					line-height: rem-calc(44);
				}
			}
		}
		.product-slider-item {
			.card {
				background-color: transparent;
				border:none;
				.card-body {
					.product-badges {
						display: none;
					}
					.product-image-wrapper {
						@include media-breakpoint-up(md) {
							height: 459px;
						}
						.available-badge {
							display: none;
						}
						.product-image {
							max-height: 459px;
						}
					}
					.product-info {
						.product-visits, .product-buys {
							font-size: rem-calc(17);
							@include media-breakpoint-up(md) {
								font-size: rem-calc(40);
							}
							.icon {
								width: 20px;
								height: 20px;
								color: $primary;
								@include media-breakpoint-up(md) {
									width: inherit;
									height: inherit;
								}
							}
						}
						.product-buys {
							
						}
						.product-price {
							font-size: rem-calc(17);
							@include media-breakpoint-up(md) {
								font-size: rem-calc(40);
							}
						}
					}
				}
			}
		}
	}
	&.bg-primary {
		.cms-element-title {
			p {
				color: $white;
			}
		}
		.product-name, .product-price, .product-visits .icon, .product-buys .icon {
			color: $white;
		}
		.cms-element-product-slider {
			.product-slider-item {
				.card {
					.card-body {
						.product-info {
							.product-visits, .product-buys {
								.icon {
									color: $white;
								}
							}
						}
					}
				}
			}
		}
	}
}

.cms-block-product-three-column {
	.cms-element-product-box {
		.card {
			.card-body {
				.product-info {
					.product-visits, .product-buys {
						font-size: rem-calc(17);
						@include media-breakpoint-up(md) {
							font-size: rem-calc(20);
						}
						@include media-breakpoint-up(lg) {
							font-size: rem-calc(40);
						}
						.icon {
							width: 20px;
							height: 20px;
							color: $primary;
							@include media-breakpoint-up(md) {
								width: inherit;
								height: inherit;
							}
						}
					}
					.product-price {
						font-size: rem-calc(17);
						@include media-breakpoint-up(md) {
							font-size: rem-calc(20);
						}
						@include media-breakpoint-up(lg) {
							font-size: rem-calc(40);
						}
					}
				}
				.product-name {
					font-size: rem-calc(14);
					@include media-breakpoint-up(md) {
						font-size: inherit;
					}
				}
			}
		}
	}
}
